# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`icinga::redis`](#icingaredis): icinga::redis
* [`icinga::repos`](#icingarepos): This class manages the stages stable, testing and snapshot of packages.icinga.com repository and depending on the operating system platform s

#### Private Classes

* `icinga::redis::globals`: This class loads the default parameters by doing a hiera lookup.  This parameters depend on the os plattform. Changes maybe will break the fu
* `icinga::repos::apt`: Manage repositories via `apt`.
* `icinga::repos::yum`: Manage repositories via `yum`.
* `icinga::repos::zypper`: Manage repositories via `zypper`.

## Classes

### `icinga::redis`

Installs and configures the Icinga Redis server package.

#### Examples

##### 

```puppet
require icinga::redis
```

### `icinga::repos`

This class manages the stages stable, testing and snapshot of packages.icinga.com repository
and depending on the operating system platform some other repositories.

#### Examples

##### 

```puppet
require icinga::repos
```

#### Parameters

The following parameters are available in the `icinga::repos` class.

##### `manage_stable`

Data type: `Boolean`

Manage the Icinga stable repository. Disabled by setting to 'false'. Defaults to 'true'.

##### `manage_testing`

Data type: `Boolean`

Manage the Icinga testing repository to get access to release candidates.
Enabled by setting to 'true'. Defaults to 'false'.

##### `manage_nightly`

Data type: `Boolean`

Manage the Icinga snapshot repository to get access to nightly snapshots.
Enabled by setting to 'true'. Defaults to 'false'.

##### `configure_backports`

Data type: `Boolean`

Enables or Disables the backports repository. Has only an effect on plattforms
simular to Debian. To configure the backports repo uses apt::backports in hiera.

##### `manage_epel`

Data type: `Boolean`

Manage the EPEL (Extra Packages Enterprise Linux) repository that is needed for some package
like newer Boost libraries. Has only an effect on plattforms simular to RedHat Enterprise.

